Subject: RE: Can't seem to get bash to work in NTEmacs
From: "Jeff Rancier" <[email-masked]>
To: "Wayne Willcox" <[email-masked]>
Cc: "Pavel Tsekov" <[email-masked]>, "Cygwin" <[email-masked]>
Date: Mon, 15 Oct 2001 14:05:11 -0400

On the shell-file-name?  Yes.

-----Original Message-----
From: Wayne Willcox [mailto:[email-masked]]
Sent: Monday, October 15, 2001 1:49 PM
To: Jeff Rancier
Cc: Pavel Tsekov; Cygwin
Subject: Re: Can't seem to get bash to work in NTEmacs

Have you tried the full dos path?

On Mon, Oct 15, 2001 at 01:43:41PM -0400, Jeff Rancier wrote:
> Thanks.  I've tried that too.  Still doesn't work.
> Jeff
>
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Pavel Tsekov
> Sent: Monday, October 15, 2001 7:05 AM
> To: Jeff Rancier
> Cc: Cygwin
> Subject: Re: Can't seem to get bash to work in NTEmacs
>
>
> Hey, Jeff :)
>
> Jeff Rancier wrote:
> >
> > I've read through the FAQ and inserted the *minimal* stuff in my .emacs:
> >
> > (setenv "PID" nil)
> > (setq exec-path (cons "C:/cygwin/bin" exec-path))
> > (setenv "PATH" (concat "C:\\cygwin\\bin;" (getenv "PATH")))
> > (setq process-coding-system-alist '(("bash" . undecided-unix)))
> > (setq w32-quote-process-args ?\")
>
> Perhaps you should set the bottom line to bash.exe instead just bash...
>
> > (setq shell-file-name "bash")
> > (setenv "SHELL" shell-file-name)
> > (setq explicit-shell-file-name shell-file-name)
> > (add-hook 'comint-output-filter-functions
> >           'comint-strip-ctrl-m)
> >
> > But still get the following error(s):
> >
> > : : No such file or directory
> >
> > Process shell exited abnormally with code 127
> >
> > Can anyone solve this?
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Slowly and surely the unix crept up on the Nintendo user ...
Wayne Willcox                          I will not eat green eggs and ham
[email-masked]                     I will not eat them Sam I Am!!
A wise person makes his own decisions, a weak one obeys public opinion.
                -- Chinese proverb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/